Subject: Re: linux-next: build failure after merge of the final tree (sparc-next tree related)

From: Kirill Tkhai <[email-masked]>
Date: Mon, 16 Apr 2012 11:45:55 +0400

16.04.2012, 10:16, "David Miller" <[email-masked]>:
> From: Stephen Rothwell <[email-masked]>
> Date: Mon, 16 Apr 2012 15:59:07 +1000
>
>>  After merging the final tree, today's linux-next build (sparc32 defconfig)
>>  failed like this:
>>
>>  arch/sparc/kernel/pcic.c: In function 'pci_time_init':
>>  arch/sparc/kernel/pcic.c:741:2: error: 'timer_cs_period' undeclared (first use in this function)
>>
>>  Caused by commit 62f082830d63 ("sparc32: generic clockevent support").
>>
>>  I have reverted that commit for today.
>
> Sam, Tkhai, please fix this.

Hi! This place is a mix from two last patches. The fix is below.

Regards,
KT

P.S. I'm sending the message from a web mail client to answer faster. I hope, it won't be problems.

---
 arch/sparc/kernel/pcic.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/arch/sparc/kernel/pcic.c b/arch/sparc/kernel/pcic.c
index 118a3f5..866aa34 100644
--- a/arch/sparc/kernel/pcic.c
+++ b/arch/sparc/kernel/pcic.c
@@ -738,7 +738,7 @@ void __init pci_time_init(void)
 	 * It's in SBUS dimension, because timer_cs is in this dimension.
 	 * We take into account this in pcic_cycles_offset()
 	 */
-	timer_cs_period = SBUS_CLOCK_RATE / HZ;
+	sparc_config.cs_period = SBUS_CLOCK_RATE / HZ;
 	sparc_config.features |= FEAT_L10_CLOCKEVENT;
 #endif
 	sparc_config.features |= FEAT_L10_CLOCKSOURCE;